Package org.opensaml.saml.common.messaging.logic

# Class InboundMessageSignedPredicate

java.lang.Object
org.opensaml.saml.common.messaging.logic.InboundMessageSignedPredicate

All Implemented Interfaces:
  `Predicate<InOutOperationContext>`

public class InboundMessageSignedPredicate extends Object implements Predicate<InOutOperationContext>
A predicate which evaluates whether an inbound SAML message is signed.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`presenceSatisfies`
Flag indicating whether the presence of a non-null `Signature` member satisfies the evaluation.

## Constructor Summary

Constructors
Constructor
Description
`InboundMessageSignedPredicate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setPresenceSatisfies(boolean flag)`
Set whether the presence of a non-null `Signature` member satisfies the evaluation.
`boolean`
`test(InOutOperationContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### presenceSatisfies

private boolean presenceSatisfies
Flag indicating whether the presence of a non-null `Signature` member satisfies the evaluation.

## Constructor Details

### InboundMessageSignedPredicate

public InboundMessageSignedPredicate()

## Method Details

### setPresenceSatisfies

public void setPresenceSatisfies(boolean flag)
Set whether the presence of a non-null `Signature` member satisfies the evaluation.

Parameters:
  `flag` - whether the presence of a non-null `Signature` is considered

### test

public boolean test(@Nullable InOutOperationContext input)

Specified by:
  `test` in interface `Predicate<InOutOperationContext>`